# Atto Developer Documentation - Statements

Version: all
License: All Rights Reserved © The IDCO. Ltd

## Servers

UK Environment (Production)
```
https://uk.api.atto.co
```

US Environment (Production)
```
https://us.api.atto.co
```

UK Environment (Sandbox)
```
https://uk.api.atto.co
```

US Environment (Sandbox)
```
https://us.api.atto.co
```

## Security

### Bearer

[object Object],[object Object],[object Object]

Type: http
Scheme: bearer

## Download OpenAPI description

 - [Atto Developer Documentation - Statements](https://docs.atto.co/_bundle/content/apis/statements.yaml)

## Get Statement

 - [Integration ](https://docs.atto.co/content/apis/statements/get-statement/atto-statement-integration.md): ### Integration If you wish to get the PDF statement of an account for a given consent, you can do so using the `GET /stored-data/v1/consents/:consentId/accounts/:accountId/statement` endpoint.
 - [Authorization ](https://docs.atto.co/content/apis/statements/get-statement/atto-statement-authorization.md): ### Authorization This API requires a bearer token using the `api:stored_data` scope.
 - [GET /stored-data/v1/consents/{consentId}/accounts/{accountId}/statement](https://docs.atto.co/content/apis/statements/get-statement/getstatementasync.md): Get PDF statement for the account
## Get User Report

 - [Integration ](https://docs.atto.co/content/apis/statements/get-user-report/atto-user-report-integration.md): ### Integration If you wish to get a PDF report of all the data held for a given user, you can do so using the `GET /stored-data/v1/users/:userId/report` endpoint.
 - [Authorization ](https://docs.atto.co/content/apis/statements/get-user-report/atto-user-report-authorization.md): ### Authorization This API requires a bearer token using the `api:stored_data` scope.
 - [GET /stored-data/v1/users/{userId}/report](https://docs.atto.co/content/apis/statements/get-user-report/getuserprofilepdfasync.md): Returns all the data for a user in a PDF.
